CompositeBuilderHelper (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.builder
[Groovy] Class CompositeBuilderHelper

    java.lang.Object
      org.codehaus.griffon.runtime.builder.CompositeBuilderHelper

    class CompositeBuilderHelper
    extends Object

Helper class that initializes a CompositeBuilder with the builder configuration read from the application.

Authors:
  Danno Ferrin
  Andres Almiray

Field Summary
`private static org.slf4j.Logger` | `LOG`
`private static CompositeBuilderCustomizer` | `builderCustomizer`

Constructor Summary
`CompositeBuilderHelper()`

Method Summary
`private static def` | `addFactories(UberBuilder uberBuilder, def groupedFactories)`
`static void` | `addFactory(UberBuilder uberBuilder, String groupName, String name, Object factory)`
`static void` | `addMethod(UberBuilder uberBuilder, String groupName, String methodName, Closure method)`
`private static def` | `addMethods(UberBuilder uberBuilder, def groupedMethods)`
`private static def` | `addProperties(UberBuilder uberBuilder, def groupedProperties)`
`static void` | `addProperty(UberBuilder uberBuilder, String groupName, String propertyName, Closure getter, Closure setter)`
`static FactoryBuilderSupport` | `createBuilder(GriffonApplication app, Map targets)`
`static def` | `handleFeatures(UberBuilder uberBuilder, def features)`
`static def` | `handleLocalBuilder(UberBuilder uberBuilder, Map targets, String prefixName, def builderClassName)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### LOG

    private static final org.slf4j.Logger LOG

### builderCustomizer

    private static final CompositeBuilderCustomizer builderCustomizer

Constructor Detail

### CompositeBuilderHelper

    CompositeBuilderHelper()

Method Detail

### addFactories

    private static def addFactories(UberBuilder uberBuilder, def groupedFactories)

### addFactory

    static void addFactory(UberBuilder uberBuilder, String groupName, String name, Object factory)

### addMethod

    static void addMethod(UberBuilder uberBuilder, String groupName, String methodName, Closure method)

### addMethods

    private static def addMethods(UberBuilder uberBuilder, def groupedMethods)

### addProperties

    private static def addProperties(UberBuilder uberBuilder, def groupedProperties)

### addProperty

    static void addProperty(UberBuilder uberBuilder, String groupName, String propertyName, Closure getter, Closure setter)

### createBuilder

    static FactoryBuilderSupport createBuilder(GriffonApplication app, Map targets)

### handleFeatures

    static def handleFeatures(UberBuilder uberBuilder, def features)

### handleLocalBuilder

    static def handleLocalBuilder(UberBuilder uberBuilder, Map targets, String prefixName, def builderClassName)

Groovy Documentation